From 50e674f25cb69eeca80b557f9d18c7ab9fd01ef7 Mon Sep 17 00:00:00 2001
From: Cloudef <mailRoxas@gmail.com>
Date: Tue, 30 Aug 2011 16:12:15 +0300
Subject: [PATCH] Fix leaks on discovery test

---
 test/discotest.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/test/discotest.c b/test/discotest.c
index f6584b0..580d3d4 100644
--- a/test/discotest.c
+++ b/test/discotest.c
@@ -184,11 +184,17 @@ int main ( int argc, char *argv[] ) {
 	}
       }
 
+      // free current disco <o/
+      pnd_disco_destroy( d );
+
       // next!
       d = pnd_box_get_next ( d );
 
     } // while applist
 
+    // delete our search
+    pnd_box_delete( applist );
+
   } else {
     printf ( "No applications found in search path\n" );
   }
@@ -242,7 +248,8 @@ int main ( int argc, char *argv[] ) {
   printf ( "Unrelated test..\n" );
   char *p = strdup ( "~/.applications" );
   printf ( "Tilde substitution: in '%s'\n", p );
-  printf ( "                   out '%s'\n", pnd_expand_tilde ( p ) );
+  char *expand = pnd_expand_tilde ( p );
+  printf ( "                   out '%s'\n", expand ); free(expand);
 
   return ( 0 );
 }
-- 
1.7.6.1

